> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link two objects together with a link type



## OpenAPI

````yaml /api-reference/4.2/service-links.json put /links
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service links
servers:
  - url: /api/apollo/
security: []
tags:
  - name: links
paths:
  /links:
    put:
      tags:
        - 4.2 Links API
      summary: Link two objects together with a link type
      operationId: putLink
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Link'
        description: >-
          JSON-formatted link definition that specifies the subject, object, and
          linkType
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
components:
  schemas:
    Link:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/FusionResource'
        object:
          $ref: '#/components/schemas/FusionResource'
        linkType:
          type: string
          readOnly: true
          enum:
            - DependsOn
            - Supports
            - IsPartOf
            - HasPart
            - RelatesTo
            - InContextOf
            - HasContext
            - Self
        originator:
          type: string
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````